Page MenuHomePhabricator

Removing -debug-info-macros from option suggestions test
ClosedPublic

Authored by acoomans on Aug 7 2018, 3:08 PM.

Details

Summary

https://reviews.llvm.org/D46776 added better support for prefixes for the "did you mean ...?" command line option suggestions. One of the tests was checking against the -debug-info-macro option, which was failing on the PS4 build bot. Tests would succeed against the --help and --version options.

From https://llvm.org/devmtg/2013-11/slides/Robinson-PS4Toolchain.pdf, it looks like the PS4 SDK forces optimizations and *could be* disabling the -debug-info-macro altogether.

This diff removes -debug-info-macro altogether.

Note: untested since we do not have access to a PS4 with the SDK.

Diff Detail

Repository
rL LLVM

Event Timeline

acoomans created this revision.Aug 7 2018, 3:08 PM

@probinson does this sound a plausible explanation? Do you have access to a PS4 SDK to confirm the -debug-info-macro isn't available at all?

acoomans edited the summary of this revision. (Show Details)Aug 9 2018, 8:33 AM

Can anyone confirm the -debug-info-macro command line option is unavailable with the PS4 SDK?

@mattd @Sunil_Srivastava if you have access to the PS4 SDK, could you tell if the -debug-info-macro command line clang option is available? Thank you

modocache accepted this revision.Aug 15 2018, 1:35 PM

I don't have access to the PS4 SDK, but this is the most plausible explanation I've seen for why I was experiencing issues on these platforms. Thanks for this!

Do you have commit access or would you like me to land this on your behalf?

This revision is now accepted and ready to land.Aug 15 2018, 1:35 PM
mattd added a comment.Aug 16 2018, 8:33 AM

@mattd @Sunil_Srivastava if you have access to the PS4 SDK, could you tell if the -debug-info-macro command line clang option is available? Thank you

Hi @acoomans,

The ps4 buildbot should be running with the same code that is available in the clang repo. As far as I know, that bot uses the ps4 triple: x86_64-scei-ps4, and there is no special treatment for the -debug-info-macro flag under that triple in the codebase. So, the flag should be available when testing, and you should be getting the "suggestion" in your tests. You can try adding x86_64-scei-ps4 triple to your RUN line, and see if things still pass. As far as I can tell having the test for the -debug-macro-info suggestion is fine. I am curious, that failure was back in May, if you try a more recent build does the issue still show up?

@mattd thanks for confirming. I tried clang -cc1as -target x86_64-scei-ps4 -debug-info-macros and got suggestions.

@modocache @mattd Should we try to first land https://reviews.llvm.org/D50515 to see if it fails again?

mattd added a comment.Aug 16 2018, 9:48 AM

@mattd thanks for confirming. I tried clang -cc1as -target x86_64-scei-ps4 -debug-info-macros and got suggestions.

@modocache @mattd Should we try to first land https://reviews.llvm.org/D50515 to see if it fails again?

I took a look at D50515, and do not see anything target specific in there. I also applied your patch to two of my local builds using the ps4 triple. I didn't see any errors in the lit tests (yay!) If you can successfully build your tests as x86_64-scei-ps4, and get the expected results, then I'd say it is worth seeing how the build-bot responds.

This revision was automatically updated to reflect the committed changes.